### Virtual Method

# Pango Renderer draw_trapezoid

#### Declaration [src]

    void
    draw_trapezoid (
      PangoRenderer* renderer,
      PangoRenderPart part,
      double y1_,
      double x11,
      double x21,
      double y2,
      double x12,
      double x22
    )

#### Description [src]

Draws a trapezoid with the parallel sides aligned with the X axis using the given `PangoRenderer`; coordinates are in device space.

Available since: | 1.8

#### Parameters

`part` | `PangoRenderPart`
| Type of object this trapezoid is part of.
`y1_` | `double`
| Y coordinate of top of trapezoid.
`x11` | `double`
| X coordinate of left end of top of trapezoid.
`x21` | `double`
| X coordinate of right end of top of trapezoid.
`y2` | `double`
| Y coordinate of bottom of trapezoid.
`x12` | `double`
| X coordinate of left end of bottom of trapezoid.
`x22` | `double`
| X coordinate of right end of bottom of trapezoid.